src_config()
{
    mkdir build
    pushd build
        ../configure \
            --disable-bzlib      \
            --disable-libseccomp \
            --disable-xzlib      \
            --disable-zlib
        make
    popd

    ./configure \
        --prefix=${PREFIX} \
        --host=${LFS_TGT} \
        --build=$(./config.guess)
}

src_compile()
{
    make ${MAKEOPTS} FILE_COMPILE=$(pwd)/build/src/file
}

src_install()
{
    make install ${MAKEOPTS} DESTDIR=${D}
}
