src_config()
{
    sed -i s/mawk// configure

    mkdir build
    pushd build
        ../configure
        make -C include
        make -C progs tic
    popd

    ./configure \
            --prefix=${PREFIX}           \
            --host=${LFS_TGT}            \
            --build=$(./config.guess)    \
            --mandir=${PREFIX}/share/man \
            --with-manpage-format=normal \
            --with-shared                \
            --without-debug              \
            --without-ada                \
            --enable-widec
}

src_compile()
{
    make ${MAKEOPTS}
}

src_install()
{
    make DESTDIR=${D} TIC_PATH=$(pwd)/build/progs/tic install ${MAKEOPTS}
    echo "INPUT(-lncursesw)" > ${D}${PREFIX}/lib/libncurses.so

    if ause 'rootprefix' ; then
        mkdir -p ${D}/lib
        mv ${D}${PREFIX}/lib/libncursesw.so.6* ${D}/lib
        ln -sf ../../lib/$(readlink ${D}${PREFIX}/lib/libncursesw.so) ${D}${PREFIX}/lib/libncursesw.so
    fi
}
